{% extends "layout.html" %}                                                                                                                                   
{% block content %}                                                                                                                                           
                                                                                                                                                              
{% if form.errors %}                                                                                                                                          
    {% for field_name, field_errors in form.errors|dictsort if field_errors %}                                                                                
        {% for error in field_errors %}                                                                                                                       
        <div class="alert alert-danger" role="alert">                                                                                                         
            {{ form[field_name].label }}: {{ error }}                                                                                                         
        </div>                                                                                                                                                
        {% endfor %}                                                                                                                                          
    {% endfor %}                                                                                                                                              
{% endif %}                                                                                                                                                   
                                                                                                                                                              
<h1>Login to Hackathon Platform!</h1>                                                                                                                         
<form method="POST">                                                                                                                                          
    {{ form.csrf_token }}                                                                                                                                     
        <div class="form-group">                                                                                                                              
        {{ form.teamCode.label }}                                                                                                                             
        {{ form.teamCode(class="form-control") }}                                                                                                             
        </div>                                                                                                                                                
        {{ form.submit(class="btn btn-primary") }}                                                                                                            
</form>                                                                                                                                                       
                                                                                                                                                              
{% endblock %}  
